// Test8.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "layoutgroupdemo.h"
#include "Test8.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CTest8 


CTest8::CTest8(CWnd* pParent /*=NULL*/)
	: CDialogLayout(CTest8::IDD, pParent, _T("CTest8") ,true,LOAD_POS)
{
	//{{AFX_DATA_INIT(CTest8)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
	grp1 = grp2 = grp3 = grp4 = grp5 = NULL;
}


void CTest8::DoDataExchange(CDataExchange* pDX)
{
	CDialogLayout::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTest8)
	DDX_Control(pDX, IDC_LIST5, m_List3);
	DDX_Control(pDX, IDC_PROGRESS1, m_Pro);
	DDX_Control(pDX, IDC_LIST2, m_List2);
	DDX_Control(pDX, IDC_LIST1, m_List);
	DDX_Control(pDX, IDC_TAB2, m_Tab2);
	DDX_Control(pDX, IDC_TAB1, m_Tab);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTest8, CDialogLayout)
	//{{AFX_MSG_MAP(CTest8)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB1, OnSelchangeTab1)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB2, OnSelchangeTab2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CTest8 

BOOL CTest8::OnInitDialog() 
{
	CDialogLayout::OnInitDialog();
	CString mText;

	for(int i = 0; i < 25 ;i++)
		{
		mText.Format(_T("Ein Text %ld"),i);
		m_List.AddString(mText);
		m_List2.AddString(mText);
		m_List3.AddString(mText);
		}

	m_Pro.SetPos(45);

	GetDlgItem(IDC_STATIC2)->SetWindowText(_T("Eine Kombination aus AddVisibleXGroup und")
		_T("AddXGrpCtrl, hier mit TabControl.\r\nDie TabCtrls und ListBoxCtrls sind 'gesubclassed', um das Flackern zu vermeiden."));
	GetDlgItem(IDC_EDIT1)->SetWindowText(_T("Ein Text"));

	m_Tab.InsertItem(0,_T("Seite1"));
	m_Tab.InsertItem(1,_T("Seite2"));
	m_Tab.InsertItem(2,_T("Seite3"));
	m_Tab2.InsertItem(0,_T("Seite4"));
	m_Tab2.InsertItem(1,_T("Seite5"));
	m_Tab.SetCurSel(1);
	
	HGroup();
	//	AddChild(IDC_TAB1);
		AddVGrpCtrl(IDC_TAB1,IS_A_TABCONTROL);
			grp1 = AddVisibleHGroup(false,NULL,false); // Seite 1
				AddChild(IDC_STATIC2);
				AddSpace(5);
				AddVGrpCtrl(IDC_TAB2,IS_A_TABCONTROL);
					grp3 = AddVisibleVGroup(); // Seite 4
						SetAlign(CENTER);
						AddChild(IDC_CHECK1,NORESIZE);
						AddChild(IDC_CHECK2,NORESIZE);			
						AddChild(IDC_PROGRESS1,FIX_VERT);
						SetReSize(true);
						EndGrp;
					grp4 = AddVisibleHGroup(false,NULL,false); // Seite 5
						AddChild(IDC_LIST1,GREEDY,0,NO_ERASE);
						EndGrp;
					EndGrp;
				EndGrp;
			grp2 = AddVisibleVGroup(); // Seite 2
				HGroup();
					AddChild(IDC_BUTTON1);
					AddChild(IDC_LIST5,GREEDY,0, NO_ERASE);
					EndGrp;
				AddChild(IDC_EDIT1,FIX_VERT);
				EndGrp;
			grp5 = AddVisibleHGroup(false,NULL,false); // Seite 3
				AddChild(IDC_LIST2,GREEDY,0,NO_ERASE);
				EndGrp;
			EndGrp;
		AddSpace(5);
		VGroup();
			AddChild(IDOK,NORESIZE);
			AddChild(IDCANCEL,NORESIZE);
			EndGrp;
		EndGrp;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

/**********************************************************************/

void CTest8::OnSelchangeTab1(NMHDR* /*pNMHDR*/, LRESULT* pResult) 
{

	switch(m_Tab.GetCurSel())
		{
		case 0:
			ShowVisibleGroup(grp1,true);
			ShowVisibleGroup(grp2,false);
			ShowVisibleGroup(grp5,false,true);
			OnSelchangeTab2(NULL,pResult); // Auch Seite 1 liegen auch 4 & 5;
			break;
		case 1:
			ShowVisibleGroup(grp1,false);
			ShowVisibleGroup(grp2,true);
			ShowVisibleGroup(grp5,false,true);
			break;
		case 2:
			ShowVisibleGroup(grp1,false);
			ShowVisibleGroup(grp2,false);
			ShowVisibleGroup(grp5,true,true);
			break;
		}
	//
	*pResult = 0;
}

/**********************************************************************/

void CTest8::OnSelchangeTab2(NMHDR* /*pNMHDR*/, LRESULT* pResult) 
{

	switch(m_Tab2.GetCurSel())
		{
		case 0:
			ShowVisibleGroup(grp3,true);
			ShowVisibleGroup(grp4,false,true);
			break;
		case 1:
			ShowVisibleGroup(grp3,false);
			ShowVisibleGroup(grp4,true,true);
			break;
		}

	*pResult = 0;
}

/**********************************************************************/
